package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess post-installation script returned error exit status 1

Bug #431217 reported by dek ugenk on 2009-09-17
This bug affects 744 people
Affects Status Importance Assigned to Milestone
msttcorefonts (Debian)
Fix Released
Unknown
msttcorefonts (Ubuntu)
Critical
chandhu krishnan
Nominated for Dapper by r12056
Nominated for Hardy by r12056
Nominated for Intrepid by r12056
Nominated for Jaunty by r12056
Nominated for Karmic by Salimane Adjao Moustapha
Nominated for Lucid by r12056

Bug Description

Binary package hint: msttcorefonts

andale32.exe: no valid cabinets found

All done, errors in processing 1 file(s)
dpkg: error processing ttf-mscorefonts-installer (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of msttcorefonts:
 msttcorefonts depends on ttf-mscorefonts-installer; however:
  Package ttf-mscorefonts-installer is not configured yet.
dpkg: error processing msttcorefonts (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                          E: Sub-process /usr/bin/dpkg returned an error code (1)

ProblemType: Package
Architecture: i386
DistroRelease: Ubuntu 9.04
ErrorMessage: subprocess post-installation script returned error exit status 1
Package: ttf-mscorefonts-installer 2.6
PackageArchitecture: all
SourcePackage: msttcorefonts
Title: package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess post-installation script returned error exit status 1
Uname: Linux 2.6.28-15-generic i686

dek ugenk (dek-ugenk) wrote :
eric young (eric-s-young) wrote :
Download full text (14.0 KiB)

as I updating ,the bug exist.
When I use "dpkg --configure -a",the messages is as below:

ericyang@ubuntu:~$ sudo dpkg --configure -a
正在设置 ttf-mscorefonts-installer (2.6) ...

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

--2009-09-26 10:50:50-- http://surfnet.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
正在解析主机 surfnet.dl.sourceforge.net... 130.59.138.21
正在连接 surfnet.dl.sourceforge.net|130.59.138.21|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 302 Found
位置:http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=surfnet.dl.sourceforge.net [跟随至新的 URL]
--2009-09-26 10:50:51-- http://downloads.sourceforge.net/sourceforge/corefonts/andale32.exe?download&failedmirror=surfnet.dl.sourceforge.net
正在解析主机 downloads.sourceforge.net... 216.34.181.59
正在连接 downloads.sourceforge.net|216.34.181.59|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 302 Found
位置:http://ncu.dl.sourceforge.net/project/corefonts/the%20fonts/final/andale32.exe [跟随至新的 URL]
--2009-09-26 10:50:53-- http://ncu.dl.sourceforge.net/project/corefonts/the%20fonts/final/andale32.exe
正在解析主机 ncu.dl.sourceforge.net... 140.115.17.45
正在连接 ncu.dl.sourceforge.net|140.115.17.45|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 200 OK
长度: 198384 (194K) [application/octet-stream]
保存到‘./andale32.exe’

100%[======================================>] 198,384 39.3K/s in 4.9s

2009-09-26 10:51:00 (39.3 KB/s) - `./andale32.exe' 已经保存 [198384/198384]

--2009-09-26 10:51:00-- http://surfnet.dl.sourceforge.net/sourceforge/corefonts/arialb32.exe
正在解析主机 surfnet.dl.sourceforge.net... 130.59.138.21
正在连接 surfnet.dl.sourceforge.net|130.59.138.21|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 302 Found
位置:http://downloads.sourceforge.net/sourceforge/corefonts/arialb32.exe?download&failedmirror=surfnet.dl.sourceforge.net [跟随至新的 URL]
--2009-09-26 10:51:02-- http://downloads.sourceforge.net/sourceforge/corefonts/arialb32.exe?download&failedmirror=surfnet.dl.sourceforge.net
正在解析主机 downloads.sourceforge.net... 216.34.181.59
正在连接 downloads.sourceforge.net|216.34.181.59|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 302 Found
位置:http://ncu.dl.sourceforge.net/project/corefonts/the%20fonts/final/arialb32.exe [跟随至新的 URL]
--2009-09-26 10:51:03-- http://ncu.dl.sourceforge.net/project/corefonts/the%20fonts/final/arialb32.exe
正在解析主机 ncu.dl.sourceforge.net... 140.115.17.45
正在连接 ncu.dl.sourceforge.net|140.115.17.45|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 200 OK
长度: 168176 (164K) [application/octet-stream]
保存到‘./arialb32.exe’

100%[======================================>] 168,176 45.1K/s in 3.6s

2009-09-26 10:51:07 (45.1 KB/s) - `./arialb32.exe' 已经保存 [168176/168176]

--2009-09-26 10:51:07-- http://surfnet.dl.sourceforge.net/sourceforge/corefonts/arial32.exe
正在解析主机 surfnet.dl.sourceforge.net... 130.59.138.21
正在连接 surfnet.dl.sourceforge.net|130.59.138.21|:80... 已连接。
已发出 HTTP 请求,正在等待回应... 302 Found
位置:http://downloads.sourceforge.net/sourceforge/cor...

SPGoetze (spgoetze) wrote :

In my case the arial dl timed out...:
Resolving switch.dl.sourceforge.net... 130.59.138.21
Connecting to switch.dl.sourceforge.net|130.59.138.21|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://downloads.sourceforge.net/sourceforge/corefonts/arialb32.exe?download&failedmirror=switch.dl.sourceforge.net [following]
--2009-10-03 18:10:40-- http://downloads.sourceforge.net/sourceforge/corefonts/arialb32.exe?download&failedmirror=switch.dl.sourceforge.net
Resolving downloads.sourceforge.net... 216.34.181.59
Connecting to downloads.sourceforge.net|216.34.181.59|:80... connected.
HTTP request sent, awaiting response... 302 Found
Location: http://surfnet.dl.sourceforge.net/project/corefonts/the%20fonts/final/arialb32.exe [following]
--2009-10-03 18:10:55-- http://surfnet.dl.sourceforge.net/project/corefonts/the%20fonts/final/arialb32.exe
Resolving surfnet.dl.sourceforge.net... 130.59.138.21
Connecting to surfnet.dl.sourceforge.net|130.59.138.21|:80... failed: Connection timed out.
Giving up.

All done, no errors.
arialb32.exe: No such file or directory
...
All done, errors in processing 1 file(s)
dpkg: error processing ttf-mscorefonts-installer (--configure):
 subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of msttcorefonts:
 msttcorefonts depends on ttf-mscorefonts-installer; however:
  Package ttf-mscorefonts-installer is not configured yet.
dpkg: error processing msttcorefonts (--configure):
 dependency problems - leaving unconfigured
Setting up ttf-liberation (1.04.93-1) ...
...
No CIDSupplement specified for Batang-Bold, defaulting to 0.
No CIDSupplement specified for UMingCN, defaulting to 0.
No CIDSupplement specified for Batang-Regular, defaulting to 0.
No CIDSupplement specified for Dotum-Bold, defaulting to 0.
No CIDSupplement specified for Dotum-Regular, defaulting to 0.

Errors were encountered while processing:
 ttf-mscorefonts-installer
 msttcorefonts
E: Sub-process /usr/bin/dpkg returned an error code (1)

Sebastian

philinux (philcb) wrote :
Download full text (3.5 KiB)

Getting something similar.

Setting up ttf-mscorefonts-installer (3.0) ...

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

--2009-10-13 15:51:29-- http://downloads.sourceforge.net/corefonts/andale32.exe
Resolving downloads.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `downloads.sourceforge.net'
--2009-10-13 15:51:39-- http://switch.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving switch.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `switch.dl.sourceforge.net'
--2009-10-13 15:51:49-- http://mesh.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving mesh.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `mesh.dl.sourceforge.net'
--2009-10-13 15:51:59-- http://dfn.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving dfn.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `dfn.dl.sourceforge.net'
--2009-10-13 15:52:09-- http://heanet.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving heanet.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `heanet.dl.sourceforge.net'
--2009-10-13 15:52:19-- http://jaist.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving jaist.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `jaist.dl.sourceforge.net'
--2009-10-13 15:52:29-- http://nchc.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving nchc.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `nchc.dl.sourceforge.net'
--2009-10-13 15:52:39-- http://ufpr.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving ufpr.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `ufpr.dl.sourceforge.net'
--2009-10-13 15:52:49-- http://internode.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving internode.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `internode.dl.sourceforge.net'
--2009-10-13 15:52:59-- http://voxel.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving voxel.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `voxel.dl.sourceforge.net'
--2009-10-13 15:53:09-- http://kent.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving kent.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `kent.dl.sourceforge.net'
--2009-10-13 15:53:19-- http://internap.dl.sourceforge.net/sourceforge/corefonts/andale32.exe
Resolving internap.dl.sourceforge.net... failed: Connection timed out.
wget: unable to resolve host address `internap.dl.sourceforge.net'
sha256sum: andale32.exe: No such file or directory
andale32.exe: FAILED open or read
sha2...

Read more...

philinux (philcb) on 2009-10-13
Changed in msttcorefonts (Ubuntu):
status: New → Confirmed
gregory triglidis (gtriglidis) wrote :

yes that is the problem

Ubuntu4life (jeroenmerks) wrote :

I have that too, it's very annoying !

Roland Neary (abcccc) wrote :

The problem seems to be that the wget command used is timing out too quickly. The command used is:

wget --continue --tries=1 --dns-timeout=10 --connect-timeout=5 --read-timeout=300 $QUIET_ARG --directory-prefix . --no-directories --no-background $URLROOT$ff

When I tried to download any of the links from the error output with a simple wget command it always worked. My system currently has some issues with slow name resolution so I've added the server it was repeatedly timing out on to my /etc/hosts file:

216.34.181.59 downloads.sourceforge.net
212.219.56.167 kent.dl.sourceforge.net

After that the package installed properly

cyril (ivi610) wrote :

i have the same problem

>> I've added the server it was repeatedly timing out on to my /etc/hosts file:
>> 216.34.181.59 downloads.sourceforge.net
>> 212.219.56.167 kent.dl.sourceforge.net

It helps!!!

Could it be the "checksum mismatch" that's causing the problem? I try adding said servers to my etc/hosts file and it didn't help at all...

Afterlifesol (afterlifesol) wrote :

Tryred adding the sites to my hosts as well, didn't work.

Still get a E: ttf-mscorefonts-installer: subprocess installed post-installation script returned error exit status 1

After trying to reinstall the package.

Afterlifesol (afterlifesol) wrote :

Ok I looked though the log and saw that I was timing out on more/diffrent servers.. So I added them to my hosts and I got it to work.

Here is what I had to add:

216.34.181.59 downloads.sourceforge.net
213.203.218.122 mesh.dl.sourceforge.net
208.122.28.29 voxel.dl.sourceforge.net

The NeurOne (theneurone) wrote :

hi,
this bug appears when i attempt to upgrade my 9.04 version to the 9.10.
juste after the alert message, the upgrade hang and stop without finishing

Jakob Pfender (jpfender) wrote :

I also got this problem when I was upgrading to Karmic yesterday. It caused the upgrade process to more or less be aborted, although the rest of the upgrade seems to have gone fine.

I tried adding

216.34.181.59 downloads.sourceforge.net
212.219.56.167 kent.dl.sourceforge.net
213.203.218.122 mesh.dl.sourceforge.net
208.122.28.29 voxel.dl.sourceforge.net

to my /etc/hosts, but the result is still the same; it cycles through the servers and times out on all of them, then gives up with a checksum mismatch:

Connecting to surfnet.dl.sourceforge.net|32.1.6.32|:80... failed: Connection timed out.
Giving up.

sha256sum: andale32.exe: No such file or directory
andale32.exe: FAILED open or read
sha256sum: WARNING: 1 of 1 listed file could not be read
Checksum mismatch for andale32.exe, aborting!
dpkg: error processing ttf-mscorefonts-installer (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 ttf-mscorefonts-installer
E: Sub-process /usr/bin/dpkg returned an error code (1)

jpfender, try to add
216.34.181.59 downloads.sourceforge.net
212.219.56.167 kent.dl.sourceforge.net
213.203.218.122 mesh.dl.sourceforge.net
208.122.28.29 voxel.dl.sourceforge.net
in /etc/host after IPv4 adresses, but before IPv6 adresses.

j(/)rn (jorn-nydahl-gmail) wrote :

I'm from norway and added this to the /etc/hosts :

216.34.181.59 downloads.sourceforge.net
212.219.56.167 sunet.dl.sourceforge.net
213.203.218.122 sunet.dl.sourceforge.net
208.122.28.29 sunet.dl.sourceforge.net

And it worked for me

Crimm (crimm) wrote :

I had to add one more to get through this issue:

74.86.229.28 softlayer.dl.sourceforge.net

I figured I would pass it along :P

Hi! I'm from Italy. I added

216.34.181.59 downloads.sourceforge.net
212.219.56.167 kent.dl.sourceforge.net

to my /etc/hosts file and all worked fine. Thanks for the help.

Jakob Pfender (jpfender) wrote :

>> jpfender, try to add
>> 216.34.181.59 downloads.sourceforge.net
>> 212.219.56.167 kent.dl.sourceforge.net
>> 213.203.218.122 mesh.dl.sourceforge.net
>> 208.122.28.29 voxel.dl.sourceforge.net
>> in /etc/host after IPv4 adresses, but before IPv6 adresses.

That's exactly what I did. Adding '74.86.229.28 softlayer.dl.sourceforge.net' as well like Crimm suggested didn't work either. I'm in Germany, does anyone else in Germany have this problem or know how to get around it?

> I'm in Germany, does anyone else in Germany have this problem or know how to get around it?

Sorry, no other suggestion from me, but in Stuttgart the suggested hosts lines work.

Cheers,
Martin

To me it seems a pb of DNS time out.

I solved the pb with this workaround/dirty patch.

In the file /var/lib/dpkg/info/ttf-mscorefonts-installer.postinst (coming with package first install),
I removed the DNS time out in watchdog line 148 to get
> if ! wget --continue --tries=1 --connect-timeout=5 --read-timeout=300 $QUIET_ARG --directory-prefix . --no-directories --no-background $URLROOT$ff ; then
instead of
> if ! wget --continue --tries=1 --dns-timeout=10 --connect-timeout=5 --read-timeout=300 $QUIET_ARG --directory-prefix . --no-directories --no-background $URLROOT$ff ; then

But I can not tell you why it failed with this package and not with others.

Does this work hack for others as well?

-- Laurent

Yes, and in karmic seems to be a problem with dns anyhow.

I installed pdns-recursor. Now it works without the additional lines and also browsing is as fast as usual again (e.g. this site).

BTW, there's no problem with my provider's name server.

Cheers,
Martin

Oh, the "yes" refers to "it seems a pb of DNS time out" not to "Does this work hack for others as well?".

I didn't test this hack.

Cheers,
Martin

I should probably have written "Does this hack work for others as well?"... sorry.

FYI, I've successfully applied the hack on a second machine just installed.
It works.
-- Laurent

> I should probably have written "Does this hack work for others as
> well?"... sorry.

;-)
I didn't notice before I sent the reply, thus duplicating it. I'm sorry, too. ;-)

This hack and installing a dns server/recursor might remove the symptom with ttf-mscorefonts-installer, but not the cause (which belongs to another/new bug report, of course).

Cheers,
Martin

See
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/417757 and
http://ubuntuforums.org/archive/index.php/t-1281820.html

psyke83: "I notice slow DNS resolution on Ubuntu, and I've isolated the problem to the avahi daemon, not IPv6."

Cheers,
Martin

philinux (philcb) wrote :

Post 21 fix worked fine here. Just had to run the installer a couple of times to pick up all the fonts.

Took ages too.

I noticed this error during the installation of Karmic (an thought erroneously that it would concern Musescore, whose main file is "mscore".... So I checked this program who has apparently no problem......but was stuck when trying to use Knoda (a database front-end, which I am heavily in need of), with an error who requesting that I check if the
hk_classes-python package
is installed.

It was, indeed, but reinstalling it yielded the bug here reported.

So I tried the solution given in #21,
the reinstallation of ttf-mscorefonts-installer.postint gave the same error
I uninstalled it and then installed it again, with always the same error.

So, in my case, the trick of #1 doesn't seem to work

However MSfonts (I tried Arial) are available in gedit

....and I can see no reason why this font problem relates to the error in Knoda (which complains about a package which seems in fact to be a Python module)....

Jonnathan (jonny172) on 2009-11-02
Changed in msttcorefonts (Ubuntu):
status: Confirmed → In Progress
Afterlifesol (afterlifesol) wrote :

Ahh I just though of something, I'm suffering from this bug too Bug #417757 ( https://bugs.launchpad.net/bugs/417757 )
and it deals with DNS timeouts, and DNS taking extra long, maybe they are related.

MarcRandolph (mrand) wrote :

Hello Jonnanthan, are you working on a code or script patch? If so, please assign the bug to you. If not, its status should probably remain triaged rather than "In progress" since "In progress" gives the impression someone is working on a patch.

Changed in msttcorefonts (Ubuntu):
importance: Undecided → Critical
status: In Progress → Triaged
Mike J (mikejoh12) wrote :

I had this problem with a 9.10 install on several computers. Post number 21 resolved it for me when I removed "--dns-timeout=10". Thanks Laurent!

Urmo Kõiv (urmok6iv) wrote :

UbuntuStudio Karmic installation failed because of ttf-mscorefonts-installer.
GRUB installation also.
I'm tired of Ubuntu...bugbugbugggg

Bryan Moore (moore-bryan) wrote :

Post No. 21 solves it for me, as well.

Urmo Kõiv (urmok6iv) wrote :

Well... If post nr 21. solves the problem, can someone maybe explain it? I just don get how to achieve it `:S

Am new to Launchpad, joined today after problems with Ubuntu Software Centre when installing 9.10. I queued a number of installations from USC and had repeated messages about failures, around 5 or 6 programs (from sound and video, plus ClamAV; Wine). Like post #34 I am lost with the patch in #21. I am not a power user, I expected USC to work "out of the box" like add/remove and not have to patch around or stand over individual installs to see if they work!

Besides ClamAV and wine, what didn't work?

(I can't ran into it, but I don't use those applications either)

How do I get around ttf-mscorefont bug ? does it real effect anything or not ? I know I could google it ,but I done enough search sometimes you don't find an answers . I have found answer on some post on some random site .

This is not a discussion forum. Please use http://answers.launchpad.net/

2009/11/6 Tarel Ethridge <email address hidden>:
> How do I get around ttf-mscorefont bug ?  does it real effect anything
> or not ? I know I could google it ,but  I done enough search sometimes
> you don't find an answers . I have found answer on some post on some
> random site .
>
> --
> package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess post-installation script returned error exit status 1
> https://bugs.launchpad.net/bugs/431217
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

Vadim Peretokin asked "Besides ClamAV and wine, what didn't work?" - honestly, I was not keeping track at the time as I was so surprised to have all the error reports and was not expecting to get into bug reporting - and I would rather not guess inaccurately. I was running a whole series of add programs on a clean new install of 9.10 i386. I subsequently used the upgrade process on an AMD64 laptop from 9.04 to 9.10 and the same ttf-mscorefont problem was reported at the end of the upgrade so this is a pretty wide problem - the upgraded laptop is usable despite reporting the upgrade failed but is slow and unresponsive in comparison to running 9.04.

Afterlifesol (afterlifesol) wrote :

Phillip Spencer I bet you are having issues with bug #417757 at least with your laptop it made my system feel slow and icky, but there are some temp fixes in the thread that may help.

https://bugs.launchpad.net/bugs/417757

I believe bug #417757 is the cause of this bug, at least for some. It causes long DNS lookups. This bug is becouse DNS lookups are taking too long. Of course the timeout also may need to be justed because a upgrade should not fail just because of a long lookup.

Well, that is at least, my semi-novice opinion?

Changed in msttcorefonts (Debian):
status: Unknown → New
maurin (maujeami) on 2009-11-30
Changed in msttcorefonts (Debian):
importance: Unknown → Undecided
Changed in msttcorefonts (Debian):
importance: Undecided → Unknown
status: New → Unknown
Changed in msttcorefonts (Debian):
status: Unknown → New
Changed in msttcorefonts (Ubuntu):
status: Triaged → Fix Released
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Confirmed
43 comments hidden view all 123 comments
Bruce R (bm007a0030) wrote :

I'm afraid that the 'fixes' discussed were too obscure for me and a genuine fix Update appears to be a long way off. Meanwhile, being a 'use wot works' kind of a guy, I found that immediately following installation of ubuntu-restricted-extras by the removal of ttf-mscorefonts-installer left the other, more critical packages installed. I then followed this with a Ubuntu 6.0.1 vintage old tip of creating a 'MyFonts' folder in Home, copying my favourite TTF files into it, going to usr/share/fonts with Nautilus and using 'open as root' to Cut'n'Paste and add the MyFonts folder, set its Properties, Permissions to Read-only access and low and behold, I've added not only the core fonts but others that I've paid for over the years and found useful. For example my default in OO Writer is now once again Antiqua, a clone of Palatino !
I hope that this work-around helps other folks.

Michael Nagel (nailor) wrote :

i think bug 336509 is a duplicate of this one and should be merged. any objections?

saef ullah (md-saefullah) wrote :

No objection . Its ok...
Thank you

On Tue, Dec 22, 2009 at 10:29 PM, Michael Nagel <email address hidden>wrote:

> i think bug 336509 is a duplicate of this one and should be merged. any
> objections?
>
> --
> package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess
> post-installation script returned error exit status 1
> https://bugs.launchpad.net/bugs/431217
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I run a number of machines.
This bug only seems to affect my AMD64 athlon dual core machine.

I had a lot of trouble installing ubuntu 9.10.
It crashed on me several times and I had to do a restart - even got a blue screen from windows xp.

Let me explain.
I like to play.
I dual boot windows xp and ubuntu 9.10.
windows xp is always underneath.
I run sun virtual box on windows xp and Ubustu 9.10
so that I can run the other on the one at the same time.

The problem seems to be related to mixing 32 bit windows xp with 64 bit ubuntu 9.10.

You can run 32 bit windows xp in sun virtual box on 64 bit ubuntu 9.10 - no problem - runs really fast and well.

You cannot run 64 bit ubuntu 9.10 in sun virtual box under 32 bit windows xp -
you must use 32 bit ubuntu 9.10 and expect problems when installing it
but it does work eventually.

..and always there is a problem installing ttf-mscorefonts-installer.

I thought at first that it was my slow internet connection
or some problem with the sourceforge.net web server
but apparently not.

64 bit ubuntu 9.10

Flavio (ftroppi) wrote :

Hello!
Dear:
¿Its really neccessary that package?

Think free and install only ubuntu,play only ubuntu and work only with free
software.........

and ....happy christmas!!!

flavio

lcowartjr (elsea39) on 2009-12-26
Changed in msttcorefonts (Ubuntu):
assignee: nobody → lcowartjr (elsea39)
jmberros (juanmaberros) wrote :

This:

sudo apt-get purge ttf-mscorefonts-installer

seems to work for me. I stopped having the issue.

error401 (error401) wrote :

Well for me configuring /etc/hosts file did the trick.
(I also had the timeout issue on resolving the dns names)

I had to add alot more servers than the posters above:

216.34.181.59 downloads.sourceforge.net
130.59.138.21 switch.dl.sourceforge.net
213.203.218.122 mesh.dl.sourceforge.net
194.95.236.6 dfn.dl.sourceforge.net
193.1.193.66 heanet.dl.sourceforge.net
150.65.7.130 jaist.dl.sourceforge.net
211.79.60.17 nchc.dl.sourceforge.net
200.236.31.1 ufpr.dl.sourceforge.net
150.101.135.12 internode.dl.sourceforge.net
208.122.31.14 voxel.dl.sourceforge.net
212.219.56.167 kent.dl.sourceforge.net
69.88.152.3 internap.dl.sourceforge.net
194.71.11.73 sunet.dl.sourceforge.net
62.109.128.5 ignum.dl.sourceforge.net
130.59.138.21 surfnet.dl.sourceforge.net
88.191.250.132 freefr.dl.sourceforge.net
216.34.181.59 prdownloads.sourceforge.net

Hello All,

you are right, it isn't neccessary so I have removed this package from
my system and you can stop all activities regarding the reported bug.

Thanks a lot to all.

Jens

Am Samstag, den 26.12.2009, 19:51 +0000 schrieb Flavio:
> Hello!
> Dear:
> ¿Its really neccessary that package?
>
> Think free and install only ubuntu,play only ubuntu and work only with free
> software.........
>
> and ....happy christmas!!!
>
> flavio
>

Hi all,
i don't why but i receive this mail .. it's not for me..
i'm also a developer but i'm not in your project :(
perhaps who have receive this mail isn't involved.. so fix it..

bye all

On Sun, Dec 27, 2009 at 9:38 PM, Jens Lange <email address hidden> wrote:

> Hello All,
>
> you are right, it isn't neccessary so I have removed this package from
> my system and you can stop all activities regarding the reported bug.
>
> Thanks a lot to all.
>
> Jens
>
> Am Samstag, den 26.12.2009, 19:51 +0000 schrieb Flavio:
> > Hello!
> > Dear:
> > ¿Its really neccessary that package?
> >
> > Think free and install only ubuntu,play only ubuntu and work only with
> free
> > software.........
> >
> > and ....happy christmas!!!
> >
> > flavio
> >
>
> --
> package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess
> post-installation script returned error exit status 1
> https://bugs.launchpad.net/bugs/431217
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “msttcorefonts” package in Ubuntu: Confirmed
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: msttcorefonts
>
> andale32.exe: no valid cabinets found
>
> All done, errors in processing 1 file(s)
> dpkg: error processing ttf-mscorefonts-installer (--configure):
> subprocess post-installation script returned error exit status 1
> dpkg: dependency problems prevent configuration of msttcorefonts:
> msttcorefonts depends on ttf-mscorefonts-installer; however:
> Package ttf-mscorefonts-installer is not configured yet.
> dpkg: error processing msttcorefonts (--configure):
> dependency problems - leaving unconfigured
> No apport report written because the error message indicates its a followup
> error from a previous failure.
> E: Sub-process /usr/bin/dpkg returned an error
> code (1)
>
> ProblemType: Package
> Architecture: i386
> DistroRelease: Ubuntu 9.04
> ErrorMessage: subprocess post-installation script returned error exit
> status 1
> Package: ttf-mscorefonts-installer 2.6
> PackageArchitecture: all
> SourcePackage: msttcorefonts
> Title: package ttf-mscorefonts-installer 2.6 failed to install/upgrade:
> subprocess post-installation script returned error exit status 1
> Uname: Linux 2.6.28-15-generic i686
>
> To unsubscribe from this bug, go to:
>
> https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+bug/431217/+subscribe
>

--
...Only SkyDivers knoW Why Th3 Bird Sing...

Download full text (4.5 KiB)

Le dimanche 27 décembre 2009 à 22:48 +0000, mad a écrit :
> Hi all,
> i don't why but i receive this mail .. it's not for me..
> i'm also a developer but i'm not in your project :(
> perhaps who have receive this mail isn't involved.. so fix it..
>
> bye all
>
> On Sun, Dec 27, 2009 at 9:38 PM, Jens Lange <email address hidden>
> wrote:
>
> > Hello All,
> >
> > you are right, it isn't neccessary so I have removed this package from
> > my system and you can stop all activities regarding the reported bug.
> >
> > Thanks a lot to all.
> >
> > Jens
> >
> > Am Samstag, den 26.12.2009, 19:51 +0000 schrieb Flavio:
> > > Hello!
> > > Dear:
> > > ¿Its really neccessary that package?
> > >
> > > Think free and install only ubuntu,play only ubuntu and work only with
> > free
> > > software.........
> > >
> > > and ....happy christmas!!!
> > >
> > > flavio
> > >
> >
> > --
> > package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess
> > post-installation script returned error exit status 1
> > https://bugs.launchpad.net/bugs/431217
> > You received this bug notification because you are a direct subscriber
> > of a duplicate bug.
> >
> > Status in “msttcorefonts” package in Ubuntu: Confirmed
> > Status in “msttcorefonts” package in Debian: New
> >
> > Bug description:
> > Binary package hint: msttcorefonts
> >
> > andale32.exe: no valid cabinets found
> >
> > All done, errors in processing 1 file(s)
> > dpkg: error processing ttf-mscorefonts-installer (--configure):
> > subprocess post-installation script returned error exit status 1
> > dpkg: dependency problems prevent configuration of msttcorefonts:
> > msttcorefonts depends on ttf-mscorefonts-installer; however:
> > Package ttf-mscorefonts-installer is not configured yet.
> > dpkg: error processing msttcorefonts (--configure):
> > dependency problems - leaving unconfigured
> > No apport report written because the error message indicates its a followup
> > error from a previous failure.
> > E: Sub-process /usr/bin/dpkg returned an error
> > code (1)
> >
> > ProblemType: Package
> > Architecture: i386
> > DistroRelease: Ubuntu 9.04
> > ErrorMessage: subprocess post-installation script returned error exit
> > status 1
> > Package: ttf-mscorefonts-installer 2.6
> > PackageArchitecture: all
> > SourcePackage: msttcorefonts
> > Title: package ttf-mscorefonts-installer 2.6 failed to install/upgrade:
> > subprocess post-installation script returned error exit status 1
> > Uname: Linux 2.6.28-15-generic i686
> >
> > To unsubscribe from this bug, go to:
> >
> > https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+bug/431217/+subscribe
> >
>
>
> --
> ...Only SkyDivers knoW Why Th3 Bird Sing...
>
> --
> package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess post-installation script returned error exit status 1
> https://bugs.launchpad.net/bugs/431217
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “msttcorefonts” package in Ubuntu: Confirmed
> Status in “msttcorefonts” package in Debian: New
>
> Bug description:
> Binary package hint: msttcorefonts
>
> andale32.exe: no valid ...

Read more...

maurin (maujeami) wrote :

Le lundi 04 janvier 2010 à 09:35 +0000, ecolombres a écrit :

> Laurent #21, your patch works!
>
> https://bugs.launchpad.net/ubuntu/+source/msttcorefonts/+bug/431217/comments/21
>

Merci de votre soutien, effectivement le bug à été corriger. Pour
l'instant mon OS marche correctement.
Je ne peu vous répondre en anglais de part mon anglais médiocre.
Cordialement maujeami.

bhuvi (bhuvanesh) wrote :

had same problem in my new ubuntu 9.10 installation

A patched version of ttf-corefonts-installer is available in my ppa for lucid and karmic.

It fixes the downloading and proxy issues and doesn't fail the whole installation if some fonts failed to download.
For those brave enough please give it a try and report if you succeeded or any error you may find.

To add the repository open a terminal and run:
$ sudo add-apt-repository ppa:jibel/ppa
$ sudo apt-get update
$ sudo apt-get install ttf-mscorefonts-installer

Remember that this is an experimental version of the package, so use it at your own risk.

Thanks for your help.

Changed in msttcorefonts (Ubuntu):
assignee: lcowartjr (elsea39) → Jean-Baptiste Lallement (jibel)
status: Confirmed → In Progress
starslights (starslights) wrote :

same for me on kubuntu lucid alpha2 on x86 64, i have try your last instruction and seem to work , it can resolve the host and install the files

Thanks for all efforts :P

The final report of install of the ms front have no errrs.

Must see in practice now ;)

Joe (joe-tmsusa) wrote :

Jean-Baptiste - I tried your instructions and it fails for the same reason the ttf-mscorefonts-installer fails: ubuntu does not honor the proxy settings for certain use cases, like this.

Even though I have a proxy clearly defined, and it's used most of the time, i.e. web access and straight-up usage of synaptic, netstat -tn while the ttf-mscorefonts-installer is hanging shows that it dumbly ignoring the system proxy settings and trying to connect directly to the internet, which of course fails every time.

The add-apt-repository command fails for the same reason: it does not honor the system proxy setting.

Wrightflyer (wrightflyer) wrote :

Just to report another #21 success here.

ericklan (ericklandf) wrote :

 Post number 21 resolved it my problem. Thanks Laurent!

ericklan.com
--ver. 9.10 Karmic Koala

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package msttcorefonts - 3.0ubuntu1

---------------
msttcorefonts (3.0ubuntu1) lucid; urgency=low

  * debian/postinst.in : Check validity of proxy setting (LP : #274421)
  * update-ms-font : improve error handling (LP: #431217)(LP: #464422)
    - Don't fail if the fonts failed to download and display a message
      to run dpkg-reconfigure ttf-mscorefonts-installer later
    - Retry all mirrors for all fonts
    - Drop --dns-timeout option of wget an rely on system timeout
    - Increase --connect-timeout for slow connections
 -- Jean-Baptiste Lallement <email address hidden> Tue, 12 Jan 2010 22:23:40 +0100

Changed in msttcorefonts (Ubuntu):
status: In Progress → Fix Released
khalid (kb-1500) on 2010-01-24
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Incomplete
status: Incomplete → Fix Released
Carlos (afce-hotmail) on 2010-01-26
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Fix Committed
CyberDroid (mr-epitomy) on 2010-01-27
Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Fix Released
Changed in msttcorefonts (Debian):
status: New → Fix Released
ona (acmilan4eva1899) on 2010-01-29
security vulnerability: no → yes
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Fix Committed

After I altered the updating serverlocation to: *server for Denmark* I
didn`t have a problem at all.

Changed in mythbuntu:
status: New → Fix Released
Sense Egbert Hofstede (sense) wrote :

Moving the status back to Fix Released.
Please don't change the status without giving a valid reason.

Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Fix Released
security vulnerability: yes → no
mixer77 (mixer7707) on 2010-02-06
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Confirmed
Changed in msttcorefonts (Ubuntu):
status: Confirmed → Fix Released
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Confirmed
Changed in msttcorefonts (Ubuntu):
status: Confirmed → Fix Released
Chris Johnston (cjohnston) wrote :

Removed LP branch link lp:ubuntu/karmic/msttcorefonts

The nominations may not be appropriate. Please investigate and fix as appropriate.

suvro (ratul0070) on 2010-02-10
Changed in msttcorefonts (Ubuntu):
assignee: Jean-Baptiste Lallement (jibel) → suvro (ratul0070)
status: Fix Released → Confirmed
status: Confirmed → Fix Released
status: Fix Released → Fix Committed
piwo (fambovpiwo) on 2010-02-11
Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Confirmed
Changed in msttcorefonts (Ubuntu):
assignee: suvro (ratul0070) → Jean-Baptiste Lallement (jibel)
status: Confirmed → Fix Released
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Incomplete

whats going on with this bug? the status is constantly changing? i thought
in karmic and some versions before it has already been fixed.

On Fri, Feb 12, 2010 at 1:14 PM, Tanvir Newaz <email address hidden>wrote:

> ** Changed in: msttcorefonts (Ubuntu)
> Status: Fix Released => Incomplete
>
> --
> package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess
> post-installation script returned error exit status 1
> https://bugs.launchpad.net/bugs/431217
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Jonathan Aquilina

Sense Egbert Hofstede (sense) wrote :

This bug is indeed fixed. However, some funny guys are constantly changing the statuses and assignees of this bug report; and I'm changing it back.
Sigh...

Changed in msttcorefonts (Ubuntu):
status: Incomplete → Fix Released

is there a way they can be banned if this continues?

On Fri, Feb 12, 2010 at 3:51 PM, Sense Hofstede <email address hidden> wrote:

> This bug is indeed fixed. However, some funny guys are constantly changing
> the statuses and assignees of this bug report; and I'm changing it back.
> Sigh...
>
> ** Changed in: msttcorefonts (Ubuntu)
> Status: Incomplete => Fix Released
>
> --
> package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess
> post-installation script returned error exit status 1
> https://bugs.launchpad.net/bugs/431217
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Jonathan Aquilina

Sam Illingworth (mazz0) wrote :

Before you go blocking people perhaps you could tell us how to utilize this fix? I still get this error every time I do an update, regardless of how many times I reload the repos. Is some manual change required?

tags: added: jaunty
tags: removed: jaunty

i used to have this bug but it has been fixed for me. there are some posts
with some fixes that seem to have remedied the situation for some.

On Fri, Feb 12, 2010 at 5:41 PM, Sam Illingworth <email address hidden> wrote:

> Before you go blocking people perhaps you could tell us how to utilize
> this fix? I still get this error every time I do an update, regardless
> of how many times I reload the repos. Is some manual change required?
>
> --
> package ttf-mscorefonts-installer 2.6 failed to install/upgrade: subprocess
> post-installation script returned error exit status 1
> https://bugs.launchpad.net/bugs/431217
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

--
Jonathan Aquilina

@sam, I can't find your report about the failure you are experiencing. If you're using lucid and still facing this issue, then submit a new report and I'll check what going wrong in your case.
Thanks.

Changed in msttcorefonts (Ubuntu):
status: Fix Released → Fix Committed
Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Fix Released
affects: mythbuntu → null
aram (hossein-hakimara) on 2010-02-16
Changed in msttcorefonts (Ubuntu):
assignee: Jean-Baptiste Lallement (jibel) → aram (hossein-hakimara)
Changed in msttcorefonts (Ubuntu):
assignee: aram (hossein-hakimara) → nobody
akuma84 (akuma84) wrote :

I was looking at solution #21 and when cheking the /var/lib/dpkg/info/ttf-mscorefonts-installer.postinst file, in line 51, I don't know why it adds a export http_proxy. When I remove this, it started working. (The error I had was trying to connect to localhost:8080)

axe (axejaxej) on 2010-02-23
Changed in msttcorefonts (Ubuntu):
assignee: nobody → axe (axejaxej)
status: Fix Released → New
Changed in msttcorefonts (Ubuntu):
assignee: axe (axejaxej) → nobody
status: New → Fix Released
Surendra (surendra-shamanna) wrote :

Errors were encountered while processing:
 ttf-mscorefonts-installer
 msttcorefonts
E: Sub-process /usr/bin/dpkg returned an error code (1)

David Harmer (darkharmer) wrote :

I'll start by stating that my knowledge of Ubuntu is next to none. This was an issue on my system Ubuntu 9.04. It was not allowing my to uninstall anything due to ttf-mscorefonts-installer. when I tried to remove it, I was told that it was not on my system but the Ubuntu-Restricted-Extras were. running the command defoma-reconfigure -f fixed the issue and I can now uninstall programs. Again, I'm not that informed on how this might help people or if it will fix anything at all. I hope it at least helps a select few. Good luck with your problem.

Changed in msttcorefonts (Ubuntu):
assignee: nobody → suryaprabawa (uyalicious)
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → In Progress
status: In Progress → Fix Released
Keber (keberflores) on 2010-05-31
Changed in msttcorefonts (Ubuntu):
status: Fix Released → Fix Committed
pramod (2002pramod) on 2010-06-07
Changed in null:
status: Fix Released → Fix Committed
Changed in msttcorefonts (Ubuntu):
status: Fix Committed → Fix Released
assignee: suryaprabawa (uyalicious) → nobody
Changed in null:
status: Fix Committed → Fix Released
levmatta (levmatta) wrote :

I just experienced this problem in a fresh install of Ubuntu 10.04 Lucid. I am from Brazil and the main sourceforge download mirror here is ufpr.dl.sourceforge.net. I had to REDIRECT it to kent.dl.sourceforge.net IP (212.219.56.167) using the /etc/hosts file get it to work.
Just though this could help someone from Brasil. Thanks.

Changed in msttcorefonts (Ubuntu):
assignee: nobody → chandhu krishnan (chandhu96337791099)
Greg Conquest (gregconquest) wrote :

I'm having this problem but in a critical way. I've had to flash back to a 10.04 install of ubuntu, and I am now near the end of an upgrade to 10.10, however, the install has stopped! I have the upgrade window with the status bar (about 18 minutes remaining), and the Terminal text box has opened below this even though I closed it just a few minutes ago. The last line is:

Preparing to replace ttf-mscorefonts-installer 3.2 (using .../ttf-mscorefonts-installer_3.2ubuntu2_all.deb) ...
Then the cursor in the form of an empty box.

Behind this window, though, is what appears to be an End-User License Agreement, BUT I CANNOT SEE IT! I can only see the left edge of the underlying window. Neither the top window nor the bottom window will move. The Terminal will not collapse. Pressing "enter" accomplishes nothing.

What am I supposed to do? Poweroff the machine during the upgrade?

Greg Conquest (gregconquest) wrote :

Never mind. I reflashed the prior image again, and this time I moved the top status window over to the side of the screen. I did not close the drop-down terminal box. When I got back to the above setup, I was able to click the triangle, hide the terminal box and then click the underlying button.

I also fixed a problem with one partition mentioned in fstab not being there. I doubt this caused the problem, but it was different this time around.

florin (florin-arjocu) wrote :

There is still a problem with the EULA: if one mistakenly choses NO (does not agree) with the EULA, next time you try to install it you only see the next screen and can't chose YES. It should have a "Back" button to let people chose again.

Curtis Hovey (sinzui) on 2011-11-11
no longer affects: null
Displaying first 40 and last 40 comments. View all 123 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.